<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

defined('_JEXEC') or die;

jimport('joomla.application.component.controllerform');

/**
 * The Marker Controller
 */
class MapyczControllerMarker extends JControllerForm{

	/** function, that show marker for editing */
	public function add(){
	
		// load map id
		$mapId = JRequest::getVar('mapId');
		 
		// get document object
		$document	= JFactory::getDocument();
		
		// get view object for map
		$view = $this->getView("marker", $document->getType());
		
		// get model object for map
		$model = $this->getModel();
		
		// set selected map id
		$model->setMapId($mapId);
		
		// load selected mark data
		$model->newMarker();
		
		// set modle object into the view
		$view->setModel($model, true);
		
		// set layout
		$view->setLayout("default");

		// set document object into the view
		$view->assignRef('document', $document);
			
		// show
		$view->display();
		
	}

	/** function, that show selected marker for editing */
	public function edit(){
	
		// load map id
		$mapId = JRequest::getVar('mapId');
		
		// load map id
		$markerId = JRequest::getVar('markerId');
		
		// get document object
		$document	= JFactory::getDocument();
		
		// get view object for map
		$view = $this->getView("marker", $document->getType());
		
		// get model object for map
		$model = $this->getModel();
		
		// set selected map id
		$model->setMapId($mapId);
		
		// load selected mark data
		$model->loadMarker($markerId);
		
		// set modle object into the view
		$view->setModel($model, true);
		
		// set layout
		$view->setLayout("default");

		// set document object into the view
		$view->assignRef('document', $document);
			
		// show
		$view->display();
		
	}
	
	/** function, that save mark */
	public function save(){
		
		// check for request forgeries
		//JRequest::checkToken() or jexit(JText::_('JInvalid_Token'));
		
		// load map data from request
		$cid = JRequest::getVar('cid');
		$mapId = JRequest::getVar('mapId');
		$shortcut = JRequest::getVar('shortcut', '', '', 'string', JREQUEST_ALLOWHTML);
		$color = JRequest::getVar('color');
		$title = JRequest::getVar('title', '', '', 'string', JREQUEST_ALLOWHTML);
		$link = JRequest::getVar('link');
		$text = JRequest::getVar('text', '', '', 'string', JREQUEST_ALLOWHTML);
		$longitude = JRequest::getVar('longitude');
		$latitude = JRequest::getVar('latitude');
		
		// get model object for map
		$model = $this->getModel();
		// save map
		$model->editMarker($cid,$mapId,$shortcut,$color,$title,$link,$text,$longitude,$latitude);
		
		echo "<script>";
		echo "	var btn = window.parent.document.getElementById('sbox-btn-close');";
		echo "	btn.fireEvent('click');";
		echo "</script>";
		
	}

	/** function, that save marks positions */
	public function massSavePosition(){
		
		// load markers data from request
		$marker = JRequest::getVar('marker');
		
		// get model object for map
		$model = $this->getModel();
		
		// save markers positions
		$model->massSavePosition($marker);
		
	}
	
	/** function that remove selected map(s) */
	public function delete(){
	
		// check for request forgeries
		//JRequest::checkToken() or jexit(JText::_('JInvalid_Token'));
		
		//echo "<pre>";print_r($_REQUEST);echo "</pre>";exit;
		$cid = JRequest::getVar('cid');
		
		// get model object for map
		$model = $this->getModel();
		// remove selected map
		$model->deleteMarker($cid);
		
	}
	
}