<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

/**
* MapyCZ Model for Map
*/
class mapyczModelMap extends JModelLegacy {
	
	public $map;
	
	/** load map data from database */
	public function loadMap($id){
		try{
		
			// load db
			$db = JFactory::getDbo();
		
			// set query and create query
			$db->setQuery("SELECT * FROM #__mapycz WHERE id=".$db->quote($id));		
			$this->map = $db->loadAssoc();
			
		}catch (Exception $e){
			echo $e->getMessage();exit;
			$this->setError($e->getMessage());
			return false;
		}
	}

	/** create empty map data (show Czech Republic in map 600x400px) */
	public function newMap() {
		
		$this->map = array(
			"id"=>"",
			"name"=>"",
			"zoom"=>"4",
			"layer"=>"base",
			"width"=>"600",
			"width_responsive"=>"0",
			"height"=>"400",
			"longitude"=>"50.617498662097006",
			"latitude"=>"16.888087732218196",
			"turist_ped"=>"0",
			"turist_cyc"=>"0",
			"controls"=>"0",
			"clusterer"=>"0"
		);
	
	}
	
	/** save new or selected map */
	public function editMap($id,$name,$zoom,$layer,$width,$width_responsive,$height,$longitude,$latitude,$controls,$clusterer,$turist_ped,$turist_cyc) {
		try{
			
			// create database object
			$db = JFactory::getDbo();
			
			// if is new map
			if($id==""){
			
				// set query for insert data
				$db->setQuery(
					'INSERT INTO #__mapycz '.
						'(`id`, `name`, `width`, `width_responsive`, `height`, `zoom`, `layer`, `turist_ped`, `turist_cyc`, `latitude`, `longitude`, `controls`, `clusterer`) '.
					'VALUES '.
						'(NULL, '.$db->quote($name).', '.$db->quote($width).', '.(($width_responsive=='on')?1:0).', '.$db->quote($height).', '.$db->quote($zoom).', '.$db->quote($layer).', '.(($turist_ped=='on')?1:0).', '.(($turist_cyc=='on')?1:0).', '.$db->quote($latitude).', '.$db->quote($longitude).', '.(($controls=='on')?1:0).', '.(($clusterer=='on')?1:0).''.
					');'
				);
				
			// if is exist map
			}else{
				
				$this->map->id=$id;
				
				// set query for update data
				$db->setQuery(
					'UPDATE #__mapycz SET '. 
						'name = '.$db->quote($name).','.
						'zoom = '.$db->quote($zoom).','.
						'layer = '.$db->quote($layer).','.
						'width = '.$width.','.
						'width_responsive = '.(($width_responsive=='on')?1:0).','.
						'height = '.$height.','.
						'turist_ped = '.(($turist_ped=='on')?1:0).','.
						'turist_cyc = '.(($turist_cyc=='on')?1:0).','.
						'longitude = '.$db->quote($longitude).','.
						'latitude = '.$db->quote($latitude).','.
						'controls = '.(($controls=='on')?1:0).','.
						'clusterer = '.(($clusterer=='on')?1:0).''.
					' WHERE id = '.$id.''
				);
			}
			
			// execute query
			if (!$db->query()) {
				echo $db->getErrorMsg();
				throw new Exception($db->getErrorMsg());
			}
			
			// if is new map
			if($id==""){
				 
				// set query and create query
				$db->setQuery('SELECT * FROM #__mapycz WHERE name = '.$db->quote($name).' AND width = '.$db->quote($width).' AND height = '.$db->quote($height).' AND zoom = '.$db->quote($zoom));		
				$this->map = $db->loadObject();
			}
			
			return $this->map;
			
		}catch (Exception $e){
			echo $e->getMessage();exit;
			$this->setError($e->getMessage());
			return false;
		}
	}

	/** delete selected map(s) */
	public function deleteMap($ids) {
		try{
			
			// get dabase object
			$db = JFactory::getDbo();
		
			// for each selected map
			foreach($ids as $id){
				
				// create delete query
				$db->setQuery(
					'DELETE FROM #__mapycz WHERE id = '.$id.''
				);
				
				// execute query
				if (!$db->query()) {
					echo $db->getErrorMsg();
					throw new Exception($db->getErrorMsg());
				}
				
			
				// create delete query
				$db->setQuery(
					'DELETE FROM #__mapycz_marks WHERE mapId = '.$id.''
				);
				
				// execute query
				if (!$db->query()) {
					echo $db->getErrorMsg();
					throw new Exception($db->getErrorMsg());
				}
			}
			
		}catch (Exception $e){
			echo $e->getMessage();exit;
			$this->setError($e->getMessage());
			return false;
		}
	}
		
}
