<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('behavior.tooltip');

$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$saveOrder	= $listOrder == 'm.ordering';

$js="";
$mapyczHelper = new MapyczHelper();
?>
				
	<h2><?php echo JText::_('MAPYCZ_MARK_LABEL')?></h2>
		
	<?php echo JText::_('MAPYCZ_MARK_DESC')?><br/><br/>

	<div id="toolbar" class="toolbar-list">
		<?php echo $mapyczHelper->buttonSuccess(
				"new", 
				JText::_("MAPYCZ_MARK_ADD"), 
				"index.php?option=com_mapycz&amp;task=marker.add&amp;mapId=".$this->map->id,
				"if(!mapycz_checkSave()){alert(MAPYCZ_MARK_NOT_SAVED_MAP);return false;}",
				"mapycz_loadMarkers(\'".$this->map->id."\');"
			)?>
		
		<?php echo $mapyczHelper->button(
				"trash", 
				JText::_("MAPYCZ_MARK_DELETE"), 
				"",
				"mapycz_deleteMarker('".$this->map->id."');return false;",
				""
			)?>
	</div>
	<div class="clr"></div>
	
	<form action="<?php echo JRoute::_('index.php?option=com_mapycz&task=markers'); ?>" method="post" name="adminForm" id="map-markers-form">
		<table class="adminlist mapycz">
			<thead>
				<tr>
					<th width="1%"><input type="checkbox" name="checkall-toggle" value="" onclick="checkAll(this)" /></th>
					<th align="right"><?php echo JText::_('MAPYCZ_FIELD_ID'); ?></th>
					<th align="left"><?php echo JText::_('MAPYCZ_MARK_FIELD_SHORTCUT'); ?></th>
					<th align="left"><?php echo JText::_('MAPYCZ_MARK_FIELD_TITLE'); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php 
				$n = count($this->items);
				foreach ($this->items as $i => $item) :
					$ordering	= $listOrder == 'm.ordering';
					$js.="alert('".$this->escape($item->shortcut)."');";
					?>
					<tr class="row<?php echo $i % 2; ?>">
						<td class="center">
							<?php echo JHtml::_('grid.id', $i, $item->id); ?>
						</td>
						<td align="right">
							<a href="#" onclick="mapycz_editMarker('<?php echo $item->id?>','<?php echo $this->map->id?>');return false;"><?php echo $this->escape($item->id); ?></a>
						</td>
						<td align="left">
							<a href="#" onclick="mapycz_editMarker('<?php echo $item->id?>','<?php echo $this->map->id?>');return false;"><span id="mapycz_marker<?php echo $item->id?>_shortcut"><?php echo $this->escape($item->shortcut); ?></span></a>
						</td>
						<td align="left">
							<a href="#" onclick="mapycz_editMarker('<?php echo $item->id?>','<?php echo $this->map->id?>');return false;"><span id="mapycz_marker<?php echo $item->id?>_title"><?php echo $this->escape($item->title); ?></span></a>
							<div style="display:none">
								<span id="mapycz_marker<?php echo $item->id?>_longitude"><?php echo $item->longitude?></span>,
								<span id="mapycz_marker<?php echo $item->id?>_latitude"><?php echo $item->latitude?></span>,
								<span id="mapycz_marker<?php echo $item->id?>_color"><?php echo $item->color?></span>
							</div>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>

		<div>
			<input type="hidden" name="task" value="marker" />
			<input type="hidden" name="boxchecked" value="0" />
			<input type="hidden" name="mapId" value="<?php echo $this->map->id?>" />
			<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
			<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
			<?php echo JHtml::_('form.token'); ?>
		</div>
	</form>

<script><?//echo $js?></script>
