<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin' );

class plgButtonMapyCZ_Button extends JPlugin
{
	
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
	}

	function onDisplay($name, $asset, $author) {
		
		/*
		 * Javascript to insert the link
		 * View element calls jSelectArticle when an article is clicked
		 * jSelectArticle creates the link tag, sends it to the editor,
		 * and closes the select frame.
		 */
		$js = "
		function jFinishLink(editor,map, marker, text, zoom, layer) {
		
			var con = '{mapycz-link map-id='+map+' marker-id='+marker;
			if(zoom && zoom!='')
				con += ' zoom='+zoom;
			if(layer && layer!='')
				con += ' layer='+layer;
			con += '}'+text+'{/mapycz-link}';
			
			jInsertEditorText(con, editor);
			SqueezeBox.close();
		}";
		
		$doc = JFactory::getDocument();
		$doc->addScriptDeclaration($js);
		
		$app = JFactory::getApplication();

		$template = $app->getTemplate();
		
		$enableFrontend = $this->params->get('enable_frontend', 0);
		
		JHTML::stylesheet( 'plugins/editors-xtd/mapycz_button/assets/css/mapycz.css' );
		
		$link = 'index.php?option=com_mapycz&amp;task=markerlinks&amp;tmpl=component&amp;name='.$name;

		JHTML::_('behavior.modal');

		$button = new JObject();
		$button->set('modal', true);
		$button->set('class', 'btn mapycz');
		$button->set('link', $link);
		$button->set('text', JText::_('PLG_EDITORS-XTD_MAPYCZ_BUTTON_LINK'));
		$button->set('name', 'mapycz');
		$button->set('options', "{handler: 'iframe', size: {x: 500, y: 230}}");
		
		if ($enableFrontend == 0) {
			if (!$app->isAdmin()) {
				$button = null;
			}
		}
	
		return $button;
	}
}